## biosig 2.6.1

=== biosig4c++/DESCRIPTION ===
Name: BioSig
Version: 2.6.1
Date: 2024-08-03
Author: Alois Schloegl <alois.schloegl@gmail.com>
Maintainer: Alois Schloegl
Title: BioSig
Description: A software library for biomedical signal processing.
Depends: octave (> 4.0.0),
License: GPL version 3 or later
Url: http://biosig.sf.net

=== debian/changelog ===
biosig (2.6.1-1build3) plucky; urgency=medium

  * No-change rebuild for libdcmtk19.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 25 Feb 2025 21:19:45 +0000

biosig (2.6.1-1build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:21:16 +0000

biosig (2.6.1-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:34:33 +0100

biosig (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.6.1 (Closes: #1074847, #1076868).
  * d/copyright: update upstream copyright year.
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: remove python3-biosig M-A: same.
    dh-python generates calls to py3compile in maintscripts, which
    produces architecture unsafe artifacts upon python3-biosig on end
    users' systems; this is flagged by lintian.

 -- Étienne Mollier <emollier@debian.org>  Mon, 05 Aug 2024 14:20:37 +0200

=== debian/control ===
Source: biosig
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Alois Schlögl <alois.schloegl@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               d-shlibs,
               gawk,
               python3-setuptools,
               python3-all-dev,
               python3-numpy,
               zlib1g-dev,
               libsuitesparse-dev,
               dh-octave,
               libdcmtk-dev,
               libtinyxml-dev,
               libb64-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/biosig
Vcs-Git: https://salsa.debian.org/med-team/biosig.git
Homepage: https://biosig.sourceforge.io/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: libbiosig3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: I/O library for biomedical data - dynamic library
 BioSig is a library for accessing files in several biomedical data formats
 (including EDF, BDF, GDF, BrainVision, BCI2000, CFWB, HL7aECG,
 SCP_ECG (EN1064), MFER, ACQ, CNT(Neuroscan), DEMG, EGI, EEG1100,
 FAMOS, SigmaPLpro, TMS32).  The complete list of supported file
 formats is available at http://pub.ist.ac.at/~schloegl/biosig/TESTED .
 .
 This package provides dynamic library.

Package: libbiosig-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libbiosig3 (= ${binary:Version}),
         ${devlibs:Depends},
         ${misc:Depends}
Description: I/O library for biomedical data - development files
 BioSig is a library for accessing files in several biomedical data formats
 (including EDF, BDF, GDF, BrainVision, BCI2000, CFWB, HL7aECG,
 SCP_ECG (EN1064), MFER, ACQ, CNT(Neuroscan), DEMG, EGI, EEG1100,
 FAMOS, SigmaPLpro, TMS32).  The complete list of supported file
 formats is available at http://pub.ist.ac.at/~schloegl/biosig/TESTED .
 .
 This package provides header files and static library.

Package: biosig-tools
Architecture: any
Depends: libbiosig3 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: format conversion tools for biomedical data formats
 Based on BioSig library, this package provides command line
 tools, such as
 .
  - save2gdf: converter between different file formats, including but
        not limited to SCP-ECG(EN1064), HL7aECG (FDA-XML), GDF, EDF,
        BDF, CWFB.
  - biosig2gdf: converts biosig data files into GDF, to simplify
        parsing and loading by scripting languages (e.g. loadgdf.{py,r})
  - rec2bin, bin2rec, heka2itx, save2aecg, save2scp: several converter
       tools based on save2gdf
  - biosig_fhir: packs biosignal data into HL7/FHIR binary template file.
  - physicalunits: converter for encoding and decoding of physical
       units according to ISO 11073-10101

Package: python3-biosig
Architecture: any
Section: python
Depends: libbiosig3 (= ${binary:Version}),
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
Description: Python3 bindings for BioSig library
 This package provides Python3 bindings for BioSig library.  Primary
 goal -- I/O interface to variety of biomedical file formats, including
 but not limited to SCP-ECG(EN1064), HL7aECG (FDA-XML), GDF, EDF.

Package: octave-biosig
Architecture: any
Multi-Arch: same
Depends: libbiosig3 (= ${binary:Version}),
         ${octave:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Octave bindings for BioSig library
 This package provides Octave bindings for BioSig library.  Primary
 goal -- I/O interface to variety of biomedical file formats, including
 but not limited to SCP-ECG(EN1064), HL7aECG (FDA-XML), GDF, EDF.

## biosig 3.9.0

=== biosig4c++/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (libbiosig)

option (USE_ZLIB "Add support for compressed files." OFF)
option (USE_SUITESPARSE "Add support for automatic re-referencing." OFF)

# Version number
set (libbiosig_VERSION_MAJOR 1)
set (libbiosig_VERSION_MINOR 8)
set (libbiosig_VERSION_PATCH 4)

find_program (GAWK NAMES gawk)

add_custom_target (eventcodes
  COMMAND ${GAWK} -f eventcodes.awk extern/eventcodes.txt
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  DEPENDS eventcodes.awk extern/eventcodes.txt
)

add_custom_target (units
  COMMAND ${GAWK} -f units.awk extern/units.csv > "units.i"
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  DEPENDS units.awk extern/units.csv
)

add_custom_target (annexb
  COMMAND ${GAWK} -f annotatedECG.awk extern/11073-10102-AnnexB.txt > "11073-10102-AnnexB.i"
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  DEPENDS annotatedECG.awk extern/11073-10102-AnnexB.txt
)

set (headers
  t210/abfheadr.h
  XMLParser/tinyxml.h
  XMLParser/tinystr.h
  biosig.h
  gdftime.h
  physicalunits.h
)

set (sources
  t210/sopen_abf_read.c
  t210/sopen_alpha_read.c
  t210/sopen_axg_read.c
  t210/sopen_cadwell_read.c
  t210/sopen_cfs_read.c
  t210/sopen_heka_read.c
  t210/sopen_igor.c
  t210/sopen_scp_read.c
  t210/scp-decode.cpp
  t220/crc4scp.c
  t220/sopen_scp_write.c
  t230/sopen_hl7aecg.cpp
  test0/sandbox.c
  XMLParser/tinystr.cpp
  XMLParser/tinyxml.cpp
  XMLParser/tinyxmlerror.cpp
  XMLParser/tinyxmlparser.cpp
  biosig.c
  gdftime.c
  mdc_ecg_codes.c
  physicalunits.c
)

if (WIN32)
  list (APPEND sources
    win32/getdelim.c
    win32/getline.c
    win32/getlogin.c
  )
endif ()

if (APPLE)
  list (APPEND sources
    win32/getdelim.c
    win32/getline.c
  )
endif ()

# Cannot have same name for static and shared library, 
# so we'll correct that later on
add_library (biosigstatic STATIC
  ${headers}
  ${sources}
)
set_target_properties(biosigstatic PROPERTIES OUTPUT_NAME biosig)

add_library (biosig2static STATIC
  ${headers}
  biosig2.h
  biosig-dev.h
  ${sources}
  biosig2.c
)
set_target_properties(biosig2static PROPERTIES OUTPUT_NAME biosig2)

add_library (biosigshared SHARED
  ${headers}
  ${sources}
)
set_target_properties(biosigshared PROPERTIES OUTPUT_NAME biosig)
if (APPLE)
  set_target_properties(biosigshared PROPERTIES
     INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
     )
endif ()

add_library (biosig2shared SHARED
  ${headers}
  biosig2.h
  biosig-dev.h
  ${sources}
  biosig2.c
)
set_target_properties(biosig2shared PROPERTIES OUTPUT_NAME biosig2)
if (APPLE)
  set_target_properties(biosigshared PROPERTIES
     INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
     )
endif ()

add_dependencies (biosigstatic eventcodes units annexb)
add_dependencies (biosigshared eventcodes units annexb)
add_dependencies (biosig2static eventcodes units annexb)
add_dependencies (biosig2shared eventcodes units annexb)

FIND_LIBRARY( ICONV_LIBRARY NAMES iconv )
MARK_AS_ADVANCED( ICONV_LIBRARY )
target_link_libraries( biosigstatic ${ICONV_LIBRARY} )
target_link_libraries( biosigshared ${ICONV_LIBRARY} )
target_link_libraries( biosig2static ${ICONV_LIBRARY} )
target_link_libraries( biosig2shared ${ICONV_LIBRARY} )

if (USE_ZLIB)
  add_definitions (-D=WITH_ZLIB)
  find_package( ZLIB REQUIRED )
    if ( ZLIB_FOUND )
      include_directories( ${ZLIB_INCLUDE_DIRS} )
      target_link_libraries( biosigstatic ${ZLIB_LIBRARIES} )
      target_link_libraries( biosigshared ${ZLIB_LIBRARIES} )
      target_link_libraries( biosig2static ${ZLIB_LIBRARIES} )
      target_link_libraries( biosig2shared ${ZLIB_LIBRARIES} )
    endif( ZLIB_FOUND )
endif ()

if (USE_SUITESPARSE)
  add_definitions (-D=WITH_CHOLMOD)
  FIND_LIBRARY( CHOLMOD_LIBRARY NAMES cholmod )
  MARK_AS_ADVANCED( CHOLMOD_LIBRARY )
  target_link_libraries( biosigstatic ${CHOLMOD_LIBRARY} )
  target_link_libraries( biosigshared ${CHOLMOD_LIBRARY} )
  target_link_libraries( biosig2static ${CHOLMOD_LIBRARY} )
  target_link_libraries( biosig2shared ${CHOLMOD_LIBRARY} )
endif ()

add_definitions (-D=WITHOUT_NETWORK)

install (TARGETS biosigstatic DESTINATION lib)
install (TARGETS biosigshared DESTINATION lib)
install (TARGETS biosig2static DESTINATION lib)
install (TARGETS biosig2shared DESTINATION lib)
install (FILES  biosig.h DESTINATION include)
install (FILES  biosig2.h DESTINATION include)
install (FILES  biosig-dev.h DESTINATION include)
install (FILES  gdftime.h DESTINATION include)

=== biosig4c++/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: BioSig
-Version: 2.6.1
-Date: 2024-08-03
+Version: 3.9.0
+Date: 2025-03-27
 Author: Alois Schloegl <alois.schloegl@gmail.com>
 Maintainer: Alois Schloegl
 Title: BioSig

=== biosig4c++/mex/DESCRIPTION ===
Name: mexbiosig
Version: 2.4.2
Date: 2022-06-18
Author: Alois Schloegl <alois.schloegl@ist.ac.at>
Maintainer: Alois Schlögl
Title: The mexBiosig toolbox
Description: The Biosig package provides a number of tools
   for biomedical signal processing, including importing of
   about 50 different data formations.
Depends: octave (> 3.2.0)
Recommends: general, signal, statistics, nan, tsa
SystemRequirements: octave (> 3.2.0), libbiosig1 | libbiosig2 | libbiosig3
BuildRequires: libbiosig-dev (> 1.3.0)
License: GPLv3+
Url: http://pub.ist.ac.at/~schloegl/matlab/biosig
Autoload: yes
Categories: EEG ECG EMG EOG biomedical signals dataformat

=== debian/changelog ===
biosig (3.9.0-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 13:54:01 +0000

biosig (3.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.9.0
  * d/copyright: update upstream copyright year.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: build depends on python3-numpy-dev.

 -- Étienne Mollier <emollier@debian.org>  Wed, 02 Apr 2025 22:07:12 +0200

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,14 @@
                python3-setuptools,
                python3-all-dev,
                python3-numpy,
+               python3-numpy-dev,
                zlib1g-dev,
                libsuitesparse-dev,
                dh-octave,
                libdcmtk-dev,
                libtinyxml-dev,
                libb64-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/biosig
 Vcs-Git: https://salsa.debian.org/med-team/biosig.git
 Homepage: https://biosig.sourceforge.io/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

MAKEOPTS=LIBEXT=so

export PYBUILD_NAME=biosig
export PYBUILD_DIR=biosig4c++/python/

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh  $@ --with python3,numpy3,octave

override_dh_auto_build:
	dh_auto_build -- $(MAKEOPTS)
	pybuild --build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "I: skip testing for now -- relies on download of test data"
endif

override_dh_auto_install:
	dh_auto_install
	pybuild --install

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --override s/libcholmod3-dev/libsuitesparse-dev/ \
		    --override s/libtinyxml2.6.2-dev/libtinyxml-dev/ \
		    --movedev debian/tmp/usr/include usr \
		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		    debian/tmp/usr/lib/*/*.so

# No idea whether octave needs the extra LICENSE file - if so it can be deleted here
#override_dh_installdocs:
#	dh_installdocs
#	find debian -name LICENSE -delete

override_dh_auto_clean:
	if [ -f $(PYBUILD_DIR)/setup.py ] ; then pybuild --clean ; fi
	dh_auto_clean
	if [ -f config.h.bak ] ; then mv config.h.bak config.h ; fi
	find . -name "*.class" -delete
	rm -rf biosig4c++/R/biosig.Rcheck

=== debian/watch ===
version=4
https://sf.net/biosig/biosig-(.*)\.src\.tar\.xz
